Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498896 - =net-libs/libpcap-1.5.3 keyword request
Summary: =net-libs/libpcap-1.5.3 keyword request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks:
 
Reported: 2014-01-22 09:16 UTC by Tim Harder
Modified: 2020-11-14 10:03 UTC (History)
3 users (show)

See Also:
Package list:
net-libs/libpcap
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Harder gentoo-dev 2014-01-22 09:16:21 UTC
Please rekeyword:

=net-libs/libpcap-1.5.3

and optional dep:

dev-libs/libnl

or mask the netlink use flag.
Comment 1 Rolf Eike Beer 2017-12-05 20:18:16 UTC
Can be closed as obsolete, no?
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2017-12-06 09:41:02 UTC
(In reply to Rolf Eike Beer from comment #1)
> Can be closed as obsolete, no?

That's up to m68k@.
Comment 3 Larry the Git Cow gentoo-dev 2020-01-09 13:39:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4086cf9ecb0418c6cb1ad3e717c3a2807641aea4

commit 4086cf9ecb0418c6cb1ad3e717c3a2807641aea4
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-09 13:36:20 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-09 13:39:04 +0000

    net-libs/libpcap: Add USE=usb dependency, drop KEYWORDS=riscv
    
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Bug: https://bugs.gentoo.org/498896
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-libs/libpcap/libpcap-1.9.1-r2.ebuild | 80 ++++++++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)
Comment 4 Mike Gilbert gentoo-dev 2020-01-27 22:24:03 UTC
I don't think virtual/libusb-0 is needed here; if I am mistaken, please add it back to the package list.
Comment 5 Larry the Git Cow gentoo-dev 2020-01-27 22:58:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=131b508cae2558590a303e50c7f1cf088c93a8c6

commit 131b508cae2558590a303e50c7f1cf088c93a8c6
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2020-01-27 22:56:55 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2020-01-27 22:57:14 +0000

    net-libs/libpcap: keyword for ~riscv
    
    Bug: https://bugs.gentoo.org/498896
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    RepoMan-Options: --include-arches="riscv"
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 net-libs/libpcap/libpcap-1.9.1-r2.ebuild | 2 +-
 net-libs/libpcap/libpcap-1.9.1-r3.ebuild | 2 +-
 profiles/arch/riscv/package.use.mask     | 1 +
 3 files changed, 3 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4136777b58febdd4b278fb42c33f18a679f73697

commit 4136777b58febdd4b278fb42c33f18a679f73697
Author:     Göktürk Yüksek <gokturk@gentoo.org>
AuthorDate: 2020-01-27 22:49:46 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2020-01-27 22:49:46 +0000

    virtual/libusb: keyword :1 for ~riscv
    
    dev-libs/libusb-1.0.23-r1 is already keyworded for riscv.
    
    Bug: https://bugs.gentoo.org/498896
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    RepoMan-Options: --include-arches="riscv"
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 virtual/libusb/libusb-1-r2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 6 Göktürk Yüksek gentoo-dev 2020-01-27 22:59:38 UTC
riscv is keyworded, removing the alias from the CC.
Comment 7 NATTkA bot gentoo-dev 2020-08-18 11:29:09 UTC
Unable to check for sanity:

> no match for package: =net-libs/libpcap-1.9.1-r2
Comment 8 NATTkA bot gentoo-dev 2020-08-29 20:41:14 UTC
All sanity-check issues have been resolved
Comment 9 NATTkA bot gentoo-dev 2020-09-13 11:45:11 UTC
Sanity check failed:

> net-libs/libpcap-1.10.0_pre
>   depend ~m68k exp profile default/linux/m68k/17.0 (1 total)
>     dev-libs/libnl:3
>     sys-cluster/rdma-core
>   rdepend ~m68k exp profile default/linux/m68k/17.0 (1 total)
>     dev-libs/libnl:3
>     sys-cluster/rdma-core